[tool.poetry]
name = "musicmuster"
version = "1.7.5"
description = "Music player for internet radio"
authors = ["Keith Edmunds <kae@midnighthax.com>"]

[tool.poetry.dependencies]
python = "^3.9"
tinytag = "^1.7.0"
SQLAlchemy = "^1.4.31"
python-vlc = "^3.0.12118"
PyQt5 = "^5.15.6"
mysqlclient = "^2.1.0"
mutagen = "^1.45.1"
alembic = "^1.7.5"
psutil = "^5.9.0"
PyQtWebEngine = "^5.15.5"
pydub = "^0.25.1"
PyQt5-sip = "^12.9.1"
types-psutil = "^5.8.22"

[tool.poetry.dev-dependencies]
ipdb = "^0.13.9"
sqlalchemy-stubs = "^0.4"
PyQt5-stubs = "^5.15.2"
mypy = "^0.931"
pytest = "^7.0.1"
pytest-qt = "^4.0.2"
pydub-stubs = "^0.25.1"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
